Update product information

Update a product by Id with the information about the new peoduct

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

Id of the product to be updated

Body Params

Information about the new product

string

Product name

string

Product description

string

Product barcode

string

Product tax code

double

Tax in percentage units, between 0 and 100.

CostPrice = BasePrice ( 1 + TaxRate / 100 ) = BasePrice (1 + VATPercentage)
VATPercentage = TaxRate / 100

E.g: TaxRate = 21 ==> VATPercentage = 0.21

double

Product cost price

string

Product SKU code (Stock Keeping Unit)

boolean
boolean
int32

Category Id to which the product belongs

boolean

Is variant product

int32

Linked variant to product

int32

Variant option id 1

int32

Variant option id 2

int32

Variant option id 3

double

Product base price

int32

Category Id to which the product belongs

int32

Category Id to which the product belongs

int32

Category Id to which the product belongs

productTagsId
array of int32s

List of Ids of tags to add to the product

productTagsId
productMediaImages
array of objects

List of media images collection to add to the product

productMediaImages
providerListId
array of int32s

List of Ids of providers to add to the product

providerListId
int32

Product Brand Id

int32

Product Type Id

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

201

Everything worked as expected

400

The request was unacceptable, often due to missing a required parameter

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json